---
title: "FreeBSD 14.4-RELEASE Release Notes"
sidenav: download
---

:localRel: 14.4
:releaseCurrent: 14.4-RELEASE
:releaseBranch: 14-STABLE
:releasePrev: 14.3-RELEASE
:releaseNext: 14.5-RELEASE
:releaseType: "release"

include::shared/en/urls.adoc[]

= FreeBSD {releaseCurrent} Release Notes
:doctype: article
:toc: macro
:toclevels: 2
:icons: font

== Abstract

[.abstract-title]
The release notes for FreeBSD {releaseCurrent} contain a summary of the changes made to the FreeBSD base system on the {releaseBranch} development line.
This document lists applicable security advisories that were issued since the last release, as well as significant changes to the FreeBSD kernel and userland.
Some brief remarks on upgrading are also presented.

toc::[]

[[intro]]
== Introduction

This document contains the release notes for FreeBSD {releaseCurrent}.
It describes recently added, changed, or deleted features of FreeBSD.
It also provides some notes on upgrading from previous versions of FreeBSD.

The {releaseType} distribution to which these release notes apply represents the latest point along the {releaseBranch} development branch since {releaseBranch} was created.
Information regarding pre-built, binary {releaseType} distributions along this branch can be found at https://www.FreeBSD.org/releases/[].

The {releaseType} distribution to which these release notes apply represents a point along the {releaseBranch} development branch between {releasePrev} and the future {releaseNext}.
Information regarding pre-built, binary {releaseType} distributions along this branch can be found at https://www.FreeBSD.org/releases/[].

This distribution of FreeBSD {releaseCurrent} is a {releaseType} distribution.
It can be found at https://www.FreeBSD.org/releases/[] or any of its mirrors.
More information on obtaining this (or other) {releaseType} distributions of FreeBSD can be found in the link:{handbook}mirrors[Obtaining FreeBSD appendix] to the link:{handbook}[FreeBSD Handbook].

All users are encouraged to consult the release errata before installing FreeBSD.
The errata document is updated with "late-breaking" information discovered late in the release cycle or after the release.
Typically, it contains information on known bugs, security advisories, and corrections to documentation.
An up-to-date copy of the errata for FreeBSD {releaseCurrent} can be found on the FreeBSD Web site.

This document describes the most user-visible new or changed features in FreeBSD since {releasePrev}.
In general, changes described here are unique to the {releaseBranch} branch unless specifically marked as MERGED features.

Typical release note items document recent security advisories issued after {releasePrev}, new drivers or hardware support, new commands or options, major bug fixes, or contributed software upgrades.
They may also list changes to major ports/packages or release engineering practices.
Clearly the release notes cannot list every single change made to FreeBSD between releases; this document focuses primarily on security advisories, user-visible changes, and major architectural improvements.

[[upgrade]]
== Upgrading from Previous Releases of FreeBSD

Binary upgrades between RELEASE versions (and snapshots of the various security branches) are supported using the man:freebsd-update[8] utility.
See the release-specific upgrade procedure, link:../installation/#upgrade-binary[FreeBSD {releaseCurrent} upgrade information], with more details in the FreeBSD handbook link:{handbook}cutting-edge/#freebsdupdate-upgrade[binary upgrade procedure].
This will update unmodified userland utilities, as well as unmodified GENERIC kernels distributed as a part of an official FreeBSD release.
The man:freebsd-update[8] utility requires that the host being upgraded have Internet connectivity.

Source-based upgrades (those based on recompiling the FreeBSD base system from source code) from previous versions are supported, according to the instructions in [.filename]#/usr/src/UPDATING#.

[IMPORTANT]
====
Upgrading FreeBSD should only be attempted after backing up _all_ data and configuration files.
====

[[security-errata]]
== Security and Errata

This section lists the various Security Advisories and Errata Notices since {releasePrev}.

[[security]]
=== Security Advisories

[.informaltable]
[cols="1,1,1", frame="none", options="header"]
|===
| Advisory
| Date
| Topic

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-SA-25:06.xz.asc[FreeBSD-SA-25:06.xz]
| 2 July 2025
| Use-after-free in multi-threaded xz decoder

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-SA-25:07.libarchive.asc[FreeBSD-SA-25:07.libarchive]
| 8 August 2025
| Integer overflow in libarchive leading to double free

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-SA-25:08.openssl.asc[FreeBSD-SA-25:08.openssl]
| 30 September 2025
| Multiple vulnerabilities in OpenSSL

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-SA-25:09.netinet.asc[FreeBSD-SA-25:09.netinet]
| 22 October 2025
| SO_REUSEPORT_LB breaks man:connect[2] for UDP sockets

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-SA-25:10.unbound.asc[FreeBSD-SA-25:10.unbound]
| 26 November 2025
| Cache poison in local-unbound service

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-SA-25:11.ipfw.asc[FreeBSD-SA-25:11.ipfw]
| 16 December 2025
| ipfw denial of service

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-SA-25:12.rtsold.asc[FreeBSD-SA-25:12.rtsold]
| 16 December 2025
| Remote code execution via ND6 Router Advertisements

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-SA-26:01.openssl.asc[FreeBSD-SA-26:01.openssl]
| 27 January 2026
| Multiple vulnerabilities in OpenSSL

|link:https://www.FreeBSD.org/security/advisories/FreeBSD-SA-26:02.jail.asc[FreeBSD-SA-26:02.jail]
|27 January 2026
|Jail escape by a privileged user via nullfs

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-SA-26:04.jail.asc[FreeBSD-SA-26:04.jail]
| 24 February 2026
| Jail chroot escape via fd exchange with a different jail

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-SA-26:05.route.asc[FreeBSD-SA-26:05.route]
| 24 February 2026
| Local DoS and possible privilege escalation via routing sockets
|===

[[errata]]
=== Errata Notices

[.informaltable]
[cols="1,1,1", frame="none", options="header"]
|===
| Errata
| Date
| Topic

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-EN-25:10.zfs.asc[FreeBSD-EN-25:10.zfs]
| 2 July 2025
| Corruption in ZFS replication streams from encrypted datasets

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-EN-25:12.efi.asc[FreeBSD-EN-25:12.efi]
| 8 August 2025
| man:bsdinstall[8] not copying the correct loader on systems with

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-EN-25:13.wlan_tkip.asc[FreeBSD-EN-25:13.wlan_tkip]
| 8 August 2025
| net80211 TKIP crypto support fails for some drivers

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-EN-25:14.route.asc[FreeBSD-EN-25:14.route]
| 8 August 2025
| man:route[8] monitor buffers too much when redirected to a file

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-EN-25:15.arm64.asc[FreeBSD-EN-25:15.arm64]
| 16 September 2025
| arm64 man:syscall[2] allows unprivileged user to panic kernel

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-EN-25:16.vfs.asc[FreeBSD-EN-25:16.vfs]
| 16 September 2025
| man:copy_file_range[2] fails to set output parameters

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-EN-25:17.bnxt.asc[FreeBSD-EN-25:17.bnxt]
| 16 September 2025
| man:bnxt[4] fails to set media type in some cases

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-EN-25:18.freebsd-update.asc[FreeBSD-EN-25:18.freebsd-update]
| 30 September 2025
| man:freebsd-update[8] installs libraries in incorrect order

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-EN-26:02.arm64.asc[FreeBSD-EN-26:02.arm64]
| 27 January 2026
| arm64 SVE signal context misalignment

| link:https://www.FreeBSD.org/security/advisories/FreeBSD-EN-26:03.vm.asc[FreeBSD-EN-26:03.vm]
| 27 January 2026
| The page fault handler fails to zero memory
|===

[[userland]]
== Userland

This section covers changes and additions to userland applications, contributed software, and system utilities.

[[userland-programs]]
=== Userland Application Changes

The man:diff[1] utility now reports I/O errors encountered during the Stone algorithm's file comparison phase, providing error messages where previously only the exit status indicated failure.
gitref:3c10ed2ba3aa[repository=src].
{{< sponsored "Klara, Inc." >}}

The man:diff[1] utility no longer incorrectly compares a file or directory to itself, fixing a bug where diff could produce misleading output. In addition, several internal correctness and robustness improvements were made (see related commits), including fixes for resource leaks in the pagination code, improved error handling around file descriptor operations, and prevention of potential integer overflows when using very large context windows. Additional tests were added to cover these cases.
gitref:b4139147bbb7[repository=src],
gitref:6761e555376e[repository=src],
gitref:2434f3b279a9[repository=src],
gitref:238bf5ebf684[repository=src].
{{< sponsored "Klara, Inc." >}}

The man:mdo[1] privilege-escalation utility adds new options to control user and group IDs in launched processes, including `-k` to keep current users, `-g` and `-G` to set primary and supplementary groups, `-s` to amend supplementary groups, and `--euid`/`--ruid`/`--svuid`/`--egid`/`--rgid`/`--svgid` to override specific IDs.
This provides finer-grained control over process credentials while maintaining compatibility with existing behavior.
gitref:58f55afb301b[repository=src].
{{< sponsored "The FreeBSD Foundation | Google LLC (GSoC 2025)" >}}

The man:sockstat[1] utility now displays UDP-Lite endpoints by default, providing visibility into these sockets alongside other network connections.
gitref:23cda744e4da[repository=src].

The man:nuageinit[7] tool now supports the **chpasswd** command, allowing password changes via a list or multiline string, including deprecated syntax for compatibility with some providers.
gitref:6c912470030b[repository=src].
{{< sponsored "OVHCloud" >}}

The man:pkg[7] utility now parses command-line arguments in the same way as man:pkg[8], requiring options to be placed in the same positions.
**Note**: This changes the behavior of some previously accepted command sequences, such as `pkg -f bootstrap` no longer working; users must use `pkg bootstrap -f` instead.
gitref:62947e508161[repository=src].
{{< sponsored "The FreeBSD Foundation | The FreeBSD Foundation" >}}

The man:bsdinstall[8] installer no longer supports ZFS installations using MBR disk layouts.
This removes a previously broken option that could cause installation failures.
gitref:220584471931[repository=src].
{{< sponsored "The FreeBSD Foundation" >}}

The man:freebsd-update[8] utility now installs shared libraries in a specific order (libsys, libc, libthr, then others) to prevent failures during upgrades from 14.x to 15.x.
gitref:e26928669f39[repository=src].
{{< sponsored "https://www.patreon.com/cperciva" >}}

The filesystem creation utility, man:newfs[8], gained a `-u` flag to disable the default soft updates and soft updates journaling for UFS2 filesystems.
gitref:929ef0d36c6c[repository=src].
{{< sponsored "Klara, Inc. | NetApp, Inc." >}}

The man:ngctl[8] utility gained a `-j` flag to attach and run inside a jail, allowing manipulation of netgraph nodes from within a man:jail[8].
This enables administrators to manage netgraph configurations in jails where ngctl may not be directly available.
gitref:04911babef1b[repository=src].

A new utility for controlling sound devices, man:sndctl[8], has appeared with an interface similar to man:mixer[8].
gitref:00988d12bc37[repository=src].
{{< sponsored "The FreeBSD Foundation" >}}

The man:jail[8] subsystem has gained `meta` and `env` parameters, allowing arbitrary string metadata and environment information to be associated with each jail.
The parameters can be set during jail creation or modified later using `jail -cm`, and can be viewed with man:jls[8].
The `security.jail.meta_maxbufsize` man:sysctl[8] controls the maximum size of these parameters.
gitref:527027da391d[repository=src].
{{< sponsored "SkunkWerks GmbH" >}}

The Bluetooth startup script [.filename]#rc.d/bluetooth# now retries the hccontrol reset up to three times for improved reliability and fixes a redirection bug that could create stray files.
gitref:53d1c328e912[repository=src].

The man:swapon[8] utility now supports encrypted swap files using man:md[4] devices with an [.filename]#.eli# suffix in man:fstab[5].
This allows encrypted swap to be configured in fstab as previously documented.
gitref:9d80d681ee9d[repository=src].

[[userland-contrib]]
=== Contributed Software

The man:bc[1] and man:dc[1] calculators have been updated to version 7.1.0.
gitref:ab36487a79cd[repository=src].

The man:bmake[1] build utility has been updated to version 20251111.
gitref:c95f96dea30a[repository=src].

The Kerberos man:kadmin[1] utility gains a new `-f` option for dumping Heimdal KDC databases in MIT-compatible format, enabling migration to MIT KDC without recreating the database from scratch.
gitref:a93e1b731ae4[repository=src].

The man:less[1] pager has been updated to version 685.
gitref:054ae5e7b465[repository=src].

The man:mandoc[1] manual page compiler has been updated to version 2025-09-26, improving case sorting, visual compatability with man:groff[1], fixes to a PDF/PS footer regression, and improvements to the linter.
gitref:7fa4ccb8e4e7[repository=src],
gitref:8039d22f6afd[repository=src].

The netcat utility, man:nc[1], now accepts service names like `http' in addition to port numbers for the `-p` option and as command-line arguments.
gitref:0fe58344e829[repository=src].

The man:xz[1] data compression suite has been updated to version 5.8.2.
gitref:07700b0107dc[repository=src].

The multi-format archive and compression library, man:libarchive[3], has been updated to version 3.8.5.
This includes a bug fix for man:tar[1] to resolve a regression in zero-length pattern handling.
gitref:39fd1181e5b2[repository=src].

libyaml has been updated to version 0.2.5.
gitref:e52f11f4bbc8[repository=src].

lyaml, a Lua binding for libyaml, is now available in the base system.
gitref:c508393e49fc[repository=src].

man:libucl[3] has been updated to version 0.9.2.
gitref:0a8d8b0c878f[repository=src].
{{< sponsored "The FreeBSD Foundation" >}}

The expat XML parser has been updated to version 2.7.3.
gitref:a85cfcb61efd[repository=src].

The OpenZFS filesystem has been updated to version 2.2.9.
This release includes improvements to ARC shrinking, fixes for `zpool add` safety checks, zvol blk-mq synchronization, and BRT range conversion math.
gitref:709465f2c4f1[repository=src].

The man:blacklistd[8] DoS prevention utility has been updated and renamed to man:blocklistd[8].
gitref:4690a369ff6d[repository=src].

The mapping tree utility, man:mtree[8], has been updated improving compatibility and fixing bugs.
gitref:f9d671f726ac[repository=src].

The man:unbound[8] DNS resolver has been updated to version 1.24.1, mitigating `YXDOMAIN` and nodata non-referral answer poisoning, preventing a malicious actor from exploiting a possible cache poison attack.
This addresses CVE-2025-11411.
gitref:eeb41dca070f[repository=src],
gitref:cd40a23fb249[repository=src].

The PCI vendors database has been updated to version 2026-02-10.
gitref:7805899ed791[repository=src].

The USB vendor database has been updated to 2025-12-13.
gitref:02138275effb[repository=src].

The Time Zone database has been updated to version 2025c.
gitref:68e2f4cc5e4e[repository=src].

The SQLite database has been updated to version 3.50.4.
gitref:ef55f6b86626[repository=src].

The `gallant` console font now includes over 4300 glyphs, adding support for Greek, Cyrillic, IPA extensions, extended Latin, Zapf Dingbats, arrows, mathematical symbols, box drawing, currency symbols, and Powerline glyphs.
This expands the character set available in the console for multilingual text and symbols.
gitref:8d2d6647d65a[repository=src].

The `spleen` console font has been updated to version 2.2.0, adding missing characters (em-dash, en-dash, hyphen, angle brackets, white square, dagger, double dagger) and improving character alignment, particularly for high-dpi displays.
gitref:c44ec96b471e[repository=src].

OpenSSH has been updated to version 10.0p2. The update removes support for the weak DSA signature algorithm and changes the default key agreement to the post-quantum hybrid algorithm mlkem768x25519-sha256. The sshd(8) authentication phase now runs in a separate sshd-auth binary.
gitref:7ca599aa6139[repository=src].
{{< sponsored "The FreeBSD Foundation" >}}

OpenSSL has been updated to version 3.0.16.
gitref:aed5a47b3a8a[repository=src].

[[userland-deprecated-programs]]
=== Deprecated Applications

The RIP routing protocol is deprecated and will be removed in a future release.
The man pages for man:routed[8], man:rtquery[8], man:route6d[8], and man:rip6query[8] are updated to note the deprecation.
Users needing RIP should use alternatives like 'bird' or 'quagga' from the ports collection.
gitref:d350c18f98fd[repository=src].

[[userland-libraries]]
=== Runtime Libraries and API

The Internet network number manipulation library functions, man:inet_net_ntop[3] and man:inet_net_pton[3], are updated to correctly handle IPv6 addresses, fixing previous incorrect behavior.
gitref:b4871be3490d[repository=src].
{{< sponsored "https://www.patreon.com/bsdivy" >}}

The PAM library now searches for modules in [.filename]#${LOCALBASE}/lib/security#, in addition to [.filename]#${LOCALBASE}/lib#. This allows PAM modules installed by ports that follow the Linux directory convention to be found and used.
gitref:65808459e21b[repository=src].

[[cloud]]
== Cloud Support

This section covers changes in support for cloud environments.

The man:nuageinit[7] virtual machine initializer received multiple improvements: execution is now logged; uses a fully compliant YAML parser; improves cloud-init compatibility (adds 'runcmd', 'packages', 'fqdn', 'hostname', 'sudo', 'write_files', 'nameservers', 'tzsetup', 'doas'); improves network support with many fixes, adds support for 'wakeonlan', 'set-name', and 'match.driver'; uses man:resolvconf[8]; and only creates the default user when needed.
Support has been added for cloud-init, configuration over the network, and package management.
gitref:548d4b2af90b[repository=src],
gitref:5444803b745e[repository=src],
gitref:3a680e954469[repository=src],
gitref:cbd62452bff6[repository=src],
gitref:d056f72c358b[repository=src],
gitref:823f1076c7cd[repository=src],
gitref:bb3bc92f4df6[repository=src].
{{< sponsored "OVHCloud" >}}

[[kernel]]
== Kernel

This section covers changes to kernel configurations, system tuning, and system control parameters that are not otherwise categorized.

[[kernel-general]]
=== General Kernel Changes

The man:jail[8] system will restrict unprivileged users in a parent jail from scheduling, debugging, or signaling processes in subordinate jails by default in FreeBSD 15.0 and later.
New privileges `PRIV_SCHED_DIFFJAIL`, `PRIV_DEBUG_DIFFJAIL`, and `PRIV_SIGNAL_DIFFJAIL` are required for such cross-jail operations.
**Note**: A new jail parameter `allow.nounprivileged_parent_tampering` has been introduced to enable early adoption of the new behavior, but this will become enabled by default in FreeBSD 15.x, affecting development setups that rely on cross-jail process management.
gitref:5c6949e12ee6[repository=src].

A race condition on POWER9 was fixed in the context switch code that could cause the system to hang after starting all APs.
gitref:666599639cf6[repository=src].

[[drivers]]
== Devices and Drivers

This section covers changes and additions to devices and device drivers since {releasePrev}.

[[drivers-device]]
=== Device Drivers

The man:epair[4] driver now supports stable MAC addresses via the `net.link.epair.ether_gen_addr` man:sysctl[8].
This helps maintain consistent DHCP and dynamic DNS assignments when epair interfaces are recreated, such as after jail restarts.
The default behavior remains random MAC generation, but setting the sysctl to `1` enables stable addresses.
gitref:02f70f6633fd[repository=src].

The man:iwlwifi[4] driver now includes ACPI support, enabling regulatory features for 802.11ax, 802.11be, and Per Platform Antenna Gain (PPAG) settings.
gitref:c4496f82680c[repository=src].
{{< sponsored "The FreeBSD Foundation" >}}

The man:ix[4] and man:ixv[4] drivers add support for the Intel Ethernet E610 family of devices, including new PCI IDs for backplane, SFP, 10 GbE, 2.5 GbE, and SGMII variants.
This enables link speeds of 2.5G, 5G, and 10G on supported hardware.
gitref:a728b96686e6[repository=src].
{{< sponsored "Intel Corporation" >}}

The man:mfi[4] and man:mrsas[4] drivers now supports the Fujitsu RAID Controller SAS 6Gbit/s 1GB (D3116), which is used in Fujitsu PRIMERGY servers like the RX300 S7.
gitref:653099bcc191[repository=src],
gitref:3690911c355a[repository=src].

The man:nvme[4] driver now supports BAR5 for Table BIR and PBA BIR, enabling FreeBSD on Google Compute Engine C4 machines.
gitref:dca645cd3112[repository=src].
{{< sponsored "Google" >}}

The man:qat[4] driver now supports the 402xx device (IDs 0x4944/0x4945) under the existing qat_4xxx driver.
gitref:af51f41346ad[repository=src].
{{< sponsored "Intel Corporation" >}}

The man:smartpqi[4] driver is updated to version 4660.0.2002, providing updated support for Microchip smartpqi controllers.
gitref:ec98cb56861f[repository=src].
{{< sponsored "Microchip Technology Inc." >}}

[[drivers-removals]]
=== Deprecated and Removed Drivers

The in-kernel MIDI sequencer is deprecated.
This change adds a deprecation notice to the kernel and may affect applications that rely on this legacy interface.
gitref:ab9c9443eec5[repository=src].
{{< sponsored "The FreeBSD Foundation" >}}

[[storage]]
== Storage

This section covers changes and additions to file systems and other storage subsystems, both local and networked.

[[storage-general]]
=== General Storage

The 9P filesystem (man:p9fs[4]) has been added for use with man:bhyve[8] virtio-9p devices.
It allows guests to access host files via share mappings, and can be used as a root or non-root filesystem.
The driver is loaded via `virtio_p9fs_load=YES` in [.filename]#loader.conf#.
gitref:615fba7c6b39[repository=src].

The man:tarfs[4] filesystem now correctly handles large files exceeding 4 GB and 8 GB limits.
It fixes decompression errors when seeking beyond 4 GB in zstd-compressed tarballs and properly processes extended header records for files larger than 8 GB.
gitref:35c612fbabd8[repository=src].
{{< sponsored "Klara, Inc." >}}

The man:unionfs[4] and man:nullfs[4] filesystems now perform stricter checks for jail root vnodes during dotdot lookups, preventing a potential chroot escape vulnerability.
gitref:3feafab4a34c[repository=src].

[[boot]]
== Boot Loader Changes

This section covers the boot loader, boot menu, and other boot-related changes.

[[boot-loader]]
=== Boot Loader Changes

The EFI boot loader, man:loader.efi[8], now uses firmware-provided Blt functions only when using the Graphics Output Protocol (GOP), avoiding issues on older UGA-based systems like MacBooks.
gitref:6741fb1bd4f4[repository=src].

The man:bsdinstall[8] installer now copies [.filename]#loader.efi# to all ESPs created for multi-volume ZFS datasets, providing boot redundancy if the primary disk fails.
gitref:d8e73f45fc5f[repository=src].
{{< sponsored "Netflix" >}}

Wireless firmware packages are now included on bootonly installation media, enabling users to fetch installation files over a wireless connection.
gitref:2ee0f3c954e7[repository=src].
{{< sponsored "The FreeBSD Foundation" >}}

[[network]]
== Networking

This section describes changes that affect networking in FreeBSD.

[[network-general]]
=== General Network

Compatibility code for IPFW versions prior to FreeBSD 8 has been removed to simplify the codebase.
Users or third-party modules that still rely on the old compatibility interfaces must migrate before upgrading.
gitref:57865e505aef[repository=src].
{{< sponsored "The FreeBSD Foundation" >}}

A [.filename]#sbin/ipfw15# binary has been added with updated KBI for compatibility with 15.0+ kernels.
The original man:ipfw[8] binary detects the new KBI and automatically runs ipfw15, ensuring firewall rules can be loaded during upgrades.
The utility is also installed as [.filename]#/sbin/dnctl15# for dummynet compatibility.
gitref:969e2b406835[repository=src].

[[wireless-networking]]
=== Wireless Networking

The net80211 subsystem has been updated to properly support VHT160 and VHT80P80 channel widths with modern access points, aligning with changes from 802.11ac-2013 to 802.11-2020.
This enables VHT160 and VHT80P80 in the LinuxKPI 802.11 driver compatibility code, affecting wireless performance and compatibility.
gitref:ccdd6285df5d[repository=src].
{{< sponsored "The FreeBSD Foundation" >}}

[[hardware]]
== Hardware Support

This section covers general hardware support for physical machines, hypervisors, and virtualization environments, as well as hardware changes and updates that do not otherwise fit in other sections of this document.

The Raspberry Pi Zero 2W device tree blob is now included on the release SD card images, enabling support for this hardware model.
gitref:fce5d401a803[repository=src].

Please see link:https://www.freebsd.org/releases/{localRel}R/hardware[the list of hardware] supported by {releaseCurrent}, as well as link:https://www.freebsd.org/platforms/[the platforms page] for the complete list of supported CPU architectures.

[[hardware-virtualization]]
=== Virtualization Support

The man:bhyve[8] hypervisor now reports SVM as disabled in the VM control register, preventing hangs on AMD systems with recent Windows guests.
gitref:321a15380668[repository=src].

[[documentation]]
== Documentation

This section covers changes to manual (man:man[1]) pages and other documentation shipped with the base system.

[.filename]#/usr/share/examples# has reappeared on systems installed with base system packages.
gitref:d149be3a0cbe[repository=src].

[[man-pages]]
=== Manual Pages

The shell man:builtin[1] command manual has been streamlined and gained a new section on built-in keyboard bindings.
gitref:b98efcdb6210[repository=src].

The man:newaliases[1] manual has been updated to clarify that it is for man:sendmail[8].
gitref:e3df9a78da6b[repository=src].

The man:ps[1] manual now documents that `-A` and `-a` show all processes regardless of other selection options, and clarifies the behavior of `-J`.
gitref:f18a49a747f7[repository=src].
{{< sponsored "The FreeBSD Foundation" >}}

The man:write[2] manual now includes a new section describing the atomicity guarantees of write operations.
gitref:c19f161f5f65[repository=src].

Manuals for several DTrace providers have been added, including man:dtrace_fbt[4] (function boundary tracing), man:dtrace_vfs[4] (VFS activity), man:dtrace_pid[4] (user-level process tracing),man:dtrace_priv[4] (privilege checks), and man:dtrace_callout_execute[4] (callout handler execution).
gitref:0c91fa982437[repository=src],
gitref:04bb91e9c5f7[repository=src],
gitref:ff6b04c37e78[repository=src],
gitref:f69bf8f994e5[repository=src],
gitref:7d43404485bf[repository=src].

New or improved manuals have appeared for most Ethernet switch controllers including man:mtkswitch[4], man:ip17x[4], man:ar40xx[4], man:arswitch[4], man:e6000sw[4], and man:e6060sw[4].
gitref:f31ac06711e6[repository=src],
gitref:17e9eb1e0eb7[repository=src],
gitref:1343a5b616ec[repository=src],
gitref:d0e29f92f7a2[repository=src],
gitref:5e0e046d95a9[repository=src],
gitref:ded154a1df97[repository=src].

man:linuxkpi[4] and man:linuxkpi_wlan[4] manuals have been added, providing brief documentation on the LinuxKPI and its 802.11 compatibility features.
gitref:669062384f55[repository=src].
{{< sponsored "The FreeBSD Foundation" >}}

The man:cdboot[8] manual has been added, documenting the previously undocumented cdboot utility.
gitref:d659366cc62a[repository=src].

The man:crash[8] manual has been updated to reflect current system behavior, removing references to obsolete panic messages and updating guidance on recovery media.
gitref:4f2140aa9677[repository=src].

The man:dumpon[8] manual now shows settings to adjust the behavior of man:crash[8] dumps.
gitref:7c8717183536[repository=src].

The man:ipfw[8] manual now documents how to delete a NAT configuration instance.
gitref:186ac4724746[repository=src].

The man:mtree[8] manual now clarifies that the `type` keyword remains mandatory and is not removed by `-R all`.
This ensures consistent behavior and prevents potential misinterpretation of the command.
gitref:f957857c4835[repository=src].

The man:pf.conf[5] manual now documents that network address ranges used as items in list macros must be quoted with additional single quotes.
gitref:0077daf9cdc4[repository=src].

The man:pw[8] manual now clarifies the acceptable formats for member lists with the `-M`, `-m`, and `-d` flags of the `groupadd` and `groupmod` options.
gitref:78343cd2a0f1[repository=src].

The man:vt[4] manual now includes an example on increasing scrollback size and a section explaining console fonts, covering conversion, support, and usage.
gitref:ce92b9d8332a[repository=src],
gitref:c330c43e58d7[repository=src].
